org.eclipse.emf.cdo.common.commit

## Interface CDOChangeSet

- All Superinterfaces:
    CDOBranchPointRange, CDOChangeKindProvider, CDOChangeSetData

      public interface CDOChangeSet
      extends CDOBranchPointRange, CDOChangeSetData

  The `change set data` between two `branch points` with a common ancestor.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBranchPoint` | `getAncestorPoint()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPointRange

      `getEndPoint, getStartPoint`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeSetData

      `copy, getChangedObjects, getChangeKinds, getDetachedObjects, getNewObjects, isEmpty, merge`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeKindProvider

      `getChangeKind`

- - ### Method Detail

    - #### getAncestorPoint

          CDOBranchPoint getAncestorPoint()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html